	.module Main.c
	.area data(ram, con, rel)
_packet_number:
	.blkb 1
	.area idata
	.byte 0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/AT17.h
	.dbsym s packet_number _packet_number c
_pageAddress:
	.blkb 4
	.area idata
	.word 0,0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/AT17.h
	.dbsym s pageAddress _pageAddress l
	.area text(rom, con, rel)
	.dbfile C:\project\design2/AT17.h
	.dbfile C:\project\design2\Main.c
	.dbfunc s main _main fI
;           temp -> R20
;         delay2 -> R22
;          delay -> R10
	.even
_main::
	.dbline -1
	.dbline 21
; /****************************************************************************/
; /*  File Name:          Main.C							    */                                       
; /*  Title:              UART and Two-wire Interface Implementation File     */
; /*  Last Updated:       August 5, 2001						    */
; /*  Target Device:      AT94K05AL/10AL/40AL-25DQC (208-pin packet only)     */ 
; /*												    */
; /*   Support Email:      fpslic@atmel.com						    */
; /*   Support Hotline:    +1 (408) 436-4119 (USA)				    */
; /****************************************************************************/
; 
; #include "AT17.h"
; 
; 
; 
; 
; /****************************************************************************/
; /* Main program                                                             */
; /****************************************************************************/
; 
; void main()
; {
	.dbline 22
;   unsigned char delay  = 0;
	clr R10
	.dbline 23
;   unsigned char delay2 = 0;
	clr R22
	.dbline 24
;   unsigned char temp   = 0;
	clr R20
	.dbline 29
; 
; 
;  
; 
;   initAT94K(); 
	xcall _initAT94K
	.dbline 31
;                               /* Setup portD to be output */
; for(;;)
L2:
	.dbline 32
;   {
	.dbline 33
;      PORTD = temp++;
	mov R2,R20
	subi R20,255	; addi 1
	out 0x12,R2
L6:
	.dbline 35
;      do
;      {
L9:
	.dbline 37
	.dbline 37
L10:
	.dbline 37
;         do
;         {} while (--delay != 0);
	mov R24,R10
	subi R24,1
	mov R2,R24
	mov R10,R2
	tst R2
	brne L9
	.dbline 38
L7:
	.dbline 38
	mov R24,R22
	subi R24,1
	mov R2,R24
	mov R22,R2
	tst R2
	brne L6
	.dbline 39
	.dbline 31
	.dbline 31
	xjmp L2
X0:
	.dbline -2
L1:
	.dbline 0 ; func end
	ret
	.dbsym r temp 20 c
	.dbsym r delay2 22 c
	.dbsym r delay 10 c
