	.module Scroll.c
	.area data(ram, con, rel)
_packet_number:
	.blkb 1
	.area idata
	.byte 0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/AT17.h
	.dbsym s packet_number _packet_number c
_pageAddress:
	.blkb 4
	.area idata
	.word 0,0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/AT17.h
	.dbsym s pageAddress _pageAddress l
_alphaString::
	.blkb 31
	.area idata
	.byte 'F,'P,'S,'L,'I,'C,32,'S,'T,'A,'R,'T,'E,'R,32,'K
	.byte 'I,'T,32,'I,'S,32,'H,'E,'R,'E,32,32,32,32,0
	.area data(ram, con, rel)
	.dbfile C:\project\design2/AT17.h
	.dbfile C:\project\design2\Scroll.c
	.dbsym s alphaString _alphaString A[31:31]c
_nextPointer::
	.blkb 1
	.area idata
	.byte 0
	.area data(ram, con, rel)
	.dbfile C:\project\design2\Scroll.c
	.dbsym s nextPointer _nextPointer c
	.area text(rom, con, rel)
	.dbfile C:\project\design2\Scroll.c
	.dbfunc s init_ports _init_ports fI
	.even
_init_ports::
	.dbline -1
	.dbline 21
; //ICC-AVR application builder : 10/5/00 10:24:26 AM
; 
; // Target: AT94K
; 
; //ICC needs these helper files...
; //#include <ioat94k.h>
; 
; 
; #include <macros.h>
; #include <stdio.h>
; #include "AT17.h"
; 
; #define WIDTH 4
; 
; //Global Variables
; unsigned char alphaString[] = "FPSLIC STARTER KIT IS HERE    ";
; unsigned char nextPointer = 0;
; 
; 
; void init_ports(void)
; {
	.dbline 22
;  PORTD = 0x00;
	clr R2
	out 0x12,R2
	.dbline 23
;  DDRD  = 0xFF;
	ldi R24,255
	out 0x11,R24
	.dbline -2
	.dbline 24
; }
L1:
	.dbline 0 ; func end
	ret
	.dbfunc s init_timer1 _init_timer1 fI
	.even
_init_timer1::
	.dbline -1
	.dbline 27
; 
; void init_timer1(void)
; {
	.dbline 28
;  TCNT1L = 0x00;
	clr R2
	out 0x2c,R2
	.dbline 29
;  TCNT1H = 0x00;
	out 0x2d,R2
	.dbline 30
;  TCCR1B = 0x00; //stop
	out 0x2e,R2
	.dbline 31
;  TCCR1B = 0x02; //start Timer
	ldi R24,2
	out 0x2e,R24
	.dbline -2
	.dbline 37
;  
; // TCNT0 = 0x00;
; // TCCR0 = 0x00;
; // TCCR0 = 0x01;
; 
; }
L2:
	.dbline 0 ; func end
	ret
	.area vector(rom, abs)
	.org 56
	jmp _timer1_ovf_isr
	.area text(rom, con, rel)
	.dbfile C:\project\design2\Scroll.c
	.dbfunc s timer1_ovf_isr _timer1_ovf_isr fI
;        counter -> R16
	.even
_timer1_ovf_isr::
	st -y,R2
	st -y,R3
	st -y,R16
	st -y,R24
	st -y,R25
	st -y,R30
	st -y,R31
	in R2,0x3f
	st -y,R2
	.dbline -1
	.dbline 44
; 
; 
; //Interrupt Service Routines
; #pragma interrupt_handler timer1_ovf_isr:TIM1_OVF
; //#pragma interrupt_handler timer1_ovf_isr:TIM0_OVF
; void timer1_ovf_isr(void)
; {
	.dbline 45
;  unsigned char counter = 0;
	clr R16
	.dbline 49
; 
; 
; 
;  if(alphaString[nextPointer] == '\0')
	ldi R24,<_alphaString
	ldi R25,>_alphaString
	lds R30,_nextPointer
	clr R31
	add R30,R24
	adc R31,R25
	ldd R2,z+0
	tst R2
	brne L4
	.dbline 50
;  {
	.dbline 51
;         nextPointer = 0;
	clr R2
	sts _nextPointer,R2
	.dbline 52
; 	   PORTD = 0x00;
	out 0x12,R2
	.dbline 53
;  }
L4:
	.dbline 57
; 
; /*Output string_characters on FPGA I/O address lines*/
; 
;  for(counter = 0; counter < WIDTH; counter++)
	clr R16
	xjmp L9
L6:
	.dbline 58
;  {
	.dbline 59
;          FISCR = counter;
	out 0x13,R16
	.dbline 61
; 
; 	    if( (nextPointer < WIDTH) && (counter > nextPointer) )
	lds R24,_nextPointer
	cpi R24,4
	brsh L10
	mov R2,R24
	cp R2,R16
	brsh L10
	.dbline 62
; 	          FISUA = ' ';
	ldi R24,32
	out 0x14,R24
	xjmp L11
L10:
	.dbline 63
; 	    else FISUA = alphaString[nextPointer - counter];
	mov R2,R16
	clr R3
	lds R30,_nextPointer
	clr R31
	sub R30,R2
	sbc R31,R3
	ldi R24,<_alphaString
	ldi R25,>_alphaString
	add R30,R24
	adc R31,R25
	ldd R2,z+0
	out 0x14,R2
L11:
	.dbline 64
L7:
	.dbline 57
	inc R16
L9:
	.dbline 57
	cpi R16,4
	brlo L6
	.dbline 66
;  }
; 
;  PORTD++;
	in R24,0x12
	subi R24,255	; addi 1
	out 0x12,R24
	.dbline 68
; 
;  nextPointer++;
	lds R24,_nextPointer
	subi R24,255	; addi 1
	sts _nextPointer,R24
	.dbline -2
	.dbline 69
; }
L3:
	ld R2,y+
	out 0x3f,R2
	ld R31,y+
	ld R30,y+
	ld R25,y+
	ld R24,y+
	ld R16,y+
	ld R3,y+
	ld R2,y+
	.dbline 0 ; func end
	reti
	.dbsym r counter 16 c
	.dbfunc s init_devices _init_devices fI
	.even
_init_devices::
	.dbline -1
	.dbline 74
; 
; 
; //call this routine to initialize all peripherals
; void init_devices(void)
; {
	.dbline 76
;  //stop errant interrupts until set up
;   CLI(); //disable all interrupts
	cli
	.dbline 78
; 
;  init_ports();
	xcall _init_ports
	.dbline 79
;  init_timer1();
	xcall _init_timer1
	.dbline 81
; 
;  MCUR  = 0x00;
	clr R2
	out 0x35,R2
	.dbline 82
;  EIMF  = 0x33;
	ldi R24,51
	out 0x3b,R24
	.dbline 83
;  TIMSK = 0x80; //timer interrupt sources
	ldi R24,128
	out 0x39,R24
	.dbline 86
;  //TIMSK = 0x02;
; 
;  FISCR = 0x80; //FPGA Interrupts Disabled
	out 0x13,R24
	.dbline 87
;  FISUA = 0x00;
	out 0x14,R2
	.dbline 88
;  FISUB = 0x00;
	out 0x15,R2
	.dbline 89
;  FISUC = 0x00;
	out 0x16,R2
	.dbline 90
;  FISUD = 0x00;
	out 0x17,R2
	.dbline 92
; 
;  SEI(); //re-enable interrupts
	sei
	.dbline -2
	.dbline 95
; 
;  //all peripherals are now initialized
; }
L12:
	.dbline 0 ; func end
	ret
	.dbfunc s main _main fI
;    doSomething -> R20
	.even
_main::
	.dbline -1
	.dbline 99
; 
; //
; void main(void)
; {
	.dbline 100
;  unsigned char doSomething = 0;
	clr R20
	.dbline 104
; 
; // initAT94K();
; 
; initAT94K();
	xcall _initAT94K
	.dbline 106
; 
;  init_devices();
	xcall _init_devices
	.dbline 109
;  //insert your functional code here...
; 
;  for(;;)
L14:
	.dbline 110
	.dbline 111
	inc R20
	.dbline 112
	.dbline 109
	.dbline 109
	xjmp L14
X0:
	.dbline -2
L13:
	.dbline 0 ; func end
	ret
	.dbsym r doSomething 20 c
